<template>
  <div class="card shadow" :class="type === 'dark' ? 'bg-default' : ''">
    <div
      class="card-header border-0"
      :class="type === 'dark' ? 'bg-transparent' : ''"
    >
      <div class="row align-items-center">
        <div class="col">
          <h3 class="mb-0" :class="type === 'dark' ? 'text-white' : ''">
            {{ title }}
          </h3>
        </div>
      </div>
    </div>

    <div class="table-responsive">
      <v-app id="inspire">
        
        <v-card >
          <v-data-table
            :headers="headers"
            :items="schools"
            :items-per-page="10"
            class="elevation-1"
            :search="search"
            
            item-key="id"
            
          >
            <template v-slot:top>
              <v-toolbar flat>
                <v-row>
                  <v-col col="5">
                    <v-btn
                      color="primary"
                      dark
                      class="mb-2"
                      @click="create()"
                    >
                      New School
                    </v-btn>
                    <create-school :visible="dialog"  @close="close()"  :formTitle="formTitle" :Toast="Toast" @addSchool="addSchool($event)"  ></create-school>
                  </v-col>
                  <v-col col="7">
                    <v-text-field
                      v-model="search"
                      append-icon="mdi-magnify"
                      label="Search"
                      single-line
                      hide-details
                    ></v-text-field>
                  </v-col>
                </v-row>
              </v-toolbar>
            </template>

            <template v-slot:[`item.actions`]="{ item }">
              <v-icon color="blue" small class="mr-2" @click="editSchool(item)">
                mdi-pencil
              </v-icon>
              <v-icon color="red" small @click="deleteItem(item)">
                mdi-delete
              </v-icon>
            </template>
          </v-data-table>
        </v-card>
      </v-app>
    </div>

    <div
      class="card-footer d-flex justify-content-end"
      :class="type === 'dark' ? 'bg-transparent' : ''"
    ></div>
  </div>
</template>
<script>
import CreateSchool from "./CreateSchool";
import School from "../../../model/school";
export default {
  name: "projects-table",
  props: {
    type: {
      type: String,
    },
    title: String,
    Toast: {
      type: Function,
    },
  },
  data() {
    return {
      search: "",
      singleExpand: false,
      dialog: false,
      editDialog :false,
      headers: [
        {
          text: "ID",
          align: "start",
          sortable: false,
          value: "id",
        },
        { text: "Name", value: "name" },
        { text: "Address", value: "address" },
        { text: "Time Study", value: "time_study" },
        { text: "Actions", value: "actions", sortable: false },
      ],
      formTitle : "",
      school: School,
    };
  },
  methods: {
    create(){
      this.dialog = true;
      this.formTitle = "New School";
    },
    addSchool(school){
      this.schools.push(school);
    },

    editSchool(item) {
      // this.school = {
      //   id : item.id,
      //   name: item.name,
      //   address: item.address,
      //   time_study :item.time_study,
      //   students_of_school: item.students_of_school,
      //   teacher_of_school:item.teacher_of_school,
      //   cars_of_school:item.cars_of_school
      // }
      this.school = item;
      
      console.log(this.school);
    },
    save() {},
    close() {
      this.dialog = false;
      this.$nextTick();
    },
  },
  computed: {
    schools() {
      return this.$store.state.school.schools;
    },

  },
  watch: {
    dialog(val) {
      val || this.close();
    },
  },
  created() {
    this.$store.dispatch("school/fetch");
  },
  components: {
    CreateSchool,
    // EditSchool
  },
};
</script>
<style>
</style>
